# Network v2 Dynamic Routing Commands

## bgp peer

### bgp peer create

Create a BGP peer

    openstack bgp peer create
        --peer-ip <peer-ip-address>
        --remote-as <peer-remote-as>
        [--auth-type <peer-auth-type>]
        [--password <auth-password>]
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--peer-ip <peer-ip-address>

  Peer IP address

--remote-as <peer-remote-as>

  Peer AS number. (Integer in [1, 4294967295] is allowed)

--auth-type <peer-auth-type>

  Authentication algorithm. Supported algorithms: none (default), md5

--password <auth-password>

  Authentication password

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name of the BGP peer to create

### bgp peer delete

Delete a BGP peer

    openstack bgp peer delete <bgp-peer>

bgp-peer

  BGP peer to delete (name or ID)

### bgp peer list

List BGP peers

    openstack bgp peer list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

### bgp peer set

Update a BGP peer

    openstack bgp peer set
        [--name NAME]
        [--password <auth-password>]
        <bgp-peer>

--name <NAME>

  Updated name of the BGP peer

--password <auth-password>

  Updated authentication password

bgp-peer

  BGP peer to update (name or ID)

### bgp peer show

Show information for a BGP peer

    openstack bgp peer show <bgp-peer>

bgp-peer

  BGP peer to display (name or ID)

## bgp speaker

### bgp speaker add network

Add a network to a BGP speaker

    openstack bgp speaker add network <bgp-speaker> <network>

bgp-speaker

  BGP speaker (name or ID)

network

  Network to add (name or ID)

### bgp speaker add peer

Add a peer to a BGP speaker

    openstack bgp speaker add peer <bgp-speaker> <bgp-peer>

bgp-speaker

  BGP speaker (name or ID)

bgp-peer

  BGP Peer to add (name or ID)

### bgp speaker create

Create a BGP speaker

    openstack bgp speaker create
        --local-as <local-as>
        [--ip-version {4,6}]
        [--advertise-floating-ip-host-routes]
        [--no-advertise-floating-ip-host-routes]
        [--advertise-tenant-networks]
        [--no-advertise-tenant-networks]
        [--project <project>]
        [--project-domain <project-domain>]
        <name>

--local-as <local-as>

  Local AS number. (Integer in [1, 4294967295] is allowed.)

--ip-version <IP_VERSION>

  IP version for the BGP speaker (default is 4)

--advertise-floating-ip-host-routes

  Enable the advertisement of floating IP host routes by the BGP speaker. (default)

--no-advertise-floating-ip-host-routes

  Disable the advertisement of floating IP host routes by the BGP speaker.

--advertise-tenant-networks

  Enable the advertisement of tenant network routes by the BGP speaker. (default)

--no-advertise-tenant-networks

  Disable the advertisement of tenant network routes by the BGP speaker.

--project <project>

  Owner’s project (name or ID)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

name

  Name of the BGP speaker to create

### bgp speaker delete

Delete a BGP speaker

    openstack bgp speaker delete <bgp-speaker>

bgp-speaker

  BGP speaker to delete (name or ID)

### bgp speaker list

List BGP speakers

    openstack bgp speaker list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--agent <agent-id>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--agent <agent-id>

  List BGP speakers hosted by an agent (ID only)

### bgp speaker list advertised routes

List routes advertised

    openstack bgp speaker list advertised routes
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <bgp-speaker>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

bgp-speaker

  BGP speaker (name or ID)

### bgp speaker remove network

Remove a network from a BGP speaker

    openstack bgp speaker remove network <bgp-speaker> <network>

bgp-speaker

  BGP speaker (name or ID)

network

  Network to remove (name or ID)

### bgp speaker remove peer

Remove a peer from a BGP speaker

    openstack bgp speaker remove peer <bgp-speaker> <bgp-peer>

bgp-speaker

  BGP speaker (name or ID)

bgp-peer

  BGP Peer to remove (name or ID)

### bgp speaker set

Set BGP speaker properties

    openstack bgp speaker set
        [--name NAME]
        [--advertise-floating-ip-host-routes]
        [--no-advertise-floating-ip-host-routes]
        [--advertise-tenant-networks]
        [--no-advertise-tenant-networks]
        <bgp-speaker>

--name <NAME>

  New name for the BGP speaker

--advertise-floating-ip-host-routes

  Enable the advertisement of floating IP host routes by the BGP speaker. (default)

--no-advertise-floating-ip-host-routes

  Disable the advertisement of floating IP host routes by the BGP speaker.

--advertise-tenant-networks

  Enable the advertisement of tenant network routes by the BGP speaker. (default)

--no-advertise-tenant-networks

  Disable the advertisement of tenant network routes by the BGP speaker.

bgp-speaker

  BGP speaker to update (name or ID)

### bgp speaker show

Show a BGP speaker

    openstack bgp speaker show <bgp-speaker>

bgp-speaker

  BGP speaker to display (name or ID)

## bgp dragent

### bgp dragent add speaker

Add a BGP speaker to a dynamic routing agent

    openstack bgp dragent add speaker <agent-id> <bgp-speaker>

agent-id

  ID of the dynamic routing agent

bgp-speaker

  ID or name of the BGP speaker

### bgp dragent list

List dynamic routing agents

    openstack bgp dragent list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--bgp-speaker <bgp-speaker>]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--bgp-speaker <bgp-speaker>

  List dynamic routing agents hosting a BGP speaker (name or ID)

### bgp dragent remove speaker

Removes a BGP speaker from a dynamic routing agent

    openstack bgp dragent remove speaker <agent-id> <bgp-speaker>

agent-id

  ID of the dynamic routing agent

bgp-speaker

  ID or name of the BGP speaker

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.